STLLOAD(8)

NAME
stlload - Stallion Technologies multiport serial board down loader

SYNOPSIS
stlload [-vhVR] [-i image-file] [-c control-device] [-r rx-buf-size] [-t tx-buf-size] [-B boot-banner] [-b unit-number]

DESCRIPTION
stlload is used to download the firmware code to Stallion Technologies intelligent multiport serial boards. A firmware download is only required for those boards that use the Stallion stli driver. This includes the EasyConnection 8/64, ONboard and Brumby families of boards.

Different board types require different firmware images. If the wrong firmware is loaded into a board it will fail to operate.

The download process is achieved through the Stallion stli driver control device, /dev/staliomem?. This device implements a file type device that can read and write into the boards shared memory region. It also implements a number of special ioctls that reset and restart the board.

The options are:

-v  Verbose output generation. Trace is generated at each phase of the download and startup process.

-h  Output usage information.

-V  Output version information.

-R  Reset the board only. Does not proceed to download firmware to the board.

-i image-file
    Specify the firmware image file to download. The default firmware image is /usr/libdata/stallion/cdk.sys.

-c control-device
    Specify the board control device through which to download the firmware and start up the board. The default is /dev/staliomem0.

-r rx-buf-size
    Specify the size of the boards shared memory Receive Data buffer. By default the buffer is dynamically sized to use the maximum available shared memory.

-t tx-buf-size
    Specify the size of the boards shared memory Transmit Data buffer. By default the buffer is dynamically sized to use the maximum available shared memory.

-B boot-banner
    Enable the slave debug trace flag during download. This enables debug trace output from the firmware code. This trace is output on port 0 of the board, and the port is set to 9600 baud, 8 data bits, no parity and 1 stop bit.

-b unit-number
    Specify the unit (board) number to be downloaded. The default is to download board 0.

stlload would typically be run from /etc/rc.serial.

FILES

/usr/libdata/stallion/cdk.sys
    firmware code to EasyConnection 8/64 class boards

/usr/libdata/stallion/2681.sys
    firmware code to ONboard and Brumby class boards

/dev/staliomem?
    driver board control device

SEE ALSO
stl(4), stli(4), stlstats(8)

HISTORY
This program was originally developed by Greg Ungerer (gerg@stallion.com).